org.eclipse.emf.cdo.common.id

## Interface CDOIDTemp

- All Superinterfaces:
    CDOID, Comparable<CDOID>, Serializable

      public interface CDOIDTemp
      extends CDOID

  The `ID` of a CDO object that is new in a dirty (uncommitted) CDO `transaction`.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.id.CDOID

      `CDOID.ObjectType, CDOID.Type`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.id.CDOID

      `NULL`

  - ### Method Summary

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.id.CDOID

      `getType, isDangling, isExternal, isNull, isObject, isTemporary, toURIFragment`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html